GETPOST
v2.0.0stable

Get Price

Retrieve device pricing filtered by type (instant/review), warranty, and device type. Returns the user IP address

GET | POST/api/price
Афіша:API Key
Ліміт:120/minute

Параметри запиту

Всі параметри можуть бути передані через Query або тіло

ПараметрТипПотрібніОпис
token
stringПотрібні
User API token
Приклад: your_api_token_here
type
stringДодатково
Price type: instant or review. Empty or 'all' returns all types
instantreviewall
Приклад: instant
warranty
stringДодатково
Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types
012346all
Приклад: 1
deviceType
stringДодатково
Device type: iphone or ipad. Empty or 'all' returns all device types
iphoneipadall
Приклад: iphone

Відправити

ПараметрТипПотрібніОпис
code
numberПотрібні
Status code: 1=success, 0=failure
Приклад: 1
msg
stringПотрібні
Response message
Приклад: 查询成功
time
numberПотрібні
Server timestamp (Unix seconds)
Приклад: 1769675945
data
objectПотрібні
Response payload
data.ip
stringПотрібні
User IP address
Приклад: 192.168.1.100
data.instant
object | arrayПотрібні
Instant price (object for single, array for multiple). Only returned when type is empty, 'all', or 'instant'
data.review
object | arrayПотрібні
Review price (object for single, array for multiple). Only returned when type is empty, 'all', or 'review'
*.warranty
stringПотрібні
Warranty type code
Приклад: 1
*.warrantyName
stringПотрібні
Warranty type name
Приклад: 标准版
*.deviceType
stringПотрібні
Device type
Приклад: iphone
*.price
numberПотрібні
Price (unit: CNY)
Приклад: 10
ysucc
stringПотрібні
Success flag, returns "Ysucc" on success
Приклад: Ysucc
Приклад відповіді
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"instant":
{
"type":"instant",
"typeName":"秒出",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
"review":
{
"type":"review",
"typeName":"审核",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":8
}
}
,
"ysucc":"Ysucc"
}

Query all prices

Without type, warranty, deviceType params, returns all combinations

Query all prices
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"instant":
[
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"iphone",
"price":5
}
,
{
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"ipad",
"price":6
}
]
,
"review":
[
{
"warranty":"0",
"warrantyName":"躺平版",
"deviceType":"iphone",
"price":4
}
,
{
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":8
}
]
}
,
"ysucc":"Ysucc"
}

Query instant prices only

type=instant, returns all instant prices

Query instant prices only
{
"code":1,
"msg":"Query successful",
"time":1769675945,
"data":
{
"ip":"192.168.1.100",
"type":"instant",
"typeName":"秒出",
"warranty":"1",
"warrantyName":"标准版",
"deviceType":"iphone",
"price":10
}
,
"ysucc":"Ysucc"
}

Коди помилок

Коди помилок3 визначено
0
Invalid token
Invalid or expired token
0
Basic and High-Basic plans do not support iPad devices
Warranty type 4 and 6 do not support iPad devices
0
Basic and High-Basic plans do not support review/reservation
Warranty type 4 and 6 do not support review/reservation

Мова відповіді

Налаштуйте мову відповіді API з заголовком X-Lang. Приклади коду нижче автоматично використовуйте мову поточного сайту.

Рекомендований заголовок
X-Lang: uk
Підтримувані мови
zh, en, zh-TW, vi, ar, es, ru

За підтримки X-Lang бере на себе пріоритет. Непідтримувані мови слідувати мовою сайту.

Приклади коду

curl -X GET "https://testypro.iwai.cc,https://cer.xyul.cn,https://cer.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphone" \
  -H "X-Lang: uk"

Нотатки

  • 参数通过 Query 或 x-www-form-urlencoded 传递
  • 摆烂版(4)和高摆烂版(6)仅支持秒出 + iPhone,不支持 iPad 和审核/预约
  • 价格可能因用户不同而有所差异(用户专属价格)
  • 返回的价格为添加单台设备的费用

Спробуйте в Консоль

Заповнювати параметри нижче і відправити запит на тест. Запити тільки перейти до цього API сайту; URL-адреса заблокована і не може бути змінена, і ваш поточний логін cookie включено.

https://testypro.iwai.cc/api/price?token=your_api_token_here&type=instant&warranty=1&deviceType=iphoneЗаблоковано на цей сайт
stringПотрібні

User API token

string

Price type: instant or review. Empty or 'all' returns all types

string

Warranty type: 0/1/2/3/4/6. Empty or 'all' returns all warranty types

string

Device type: iphone or ipad. Empty or 'all' returns all device types